Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface UngappedAlignment

public interface UngappedAlignment

Alignment to external reference.

Method Summary
`int` | `getExternalEnd()` End position in externalReference dna.
`ExternalRef` | `getExternalRef()`
`int` | `getExternalStart()` Start in externalReference dna.
`int` | `getExternalStrand()` Strand in externalReference dna.
`Location` | `getLocation()` Location in ensembl database.
`void` | `setExternalEnd(int externalEnd)` End position in externalReference dna.
`void` | `setExternalRef(ExternalRef externalRef)`
`void` | `setExternalStart(int externalStart)` Start in externalReference dna.
`void` | `setExternalStrand(int externalStrand)` Strand in externalReference dna.
`void` | `setLocation(Location location)` Location in ensembl database.

Method Detail

### getLocation

    public Location getLocation()

  Location in ensembl database.

### setLocation

    public void setLocation(Location location)

  Location in ensembl database.

### getExternalRef

    public ExternalRef getExternalRef()

### setExternalRef

    public void setExternalRef(ExternalRef externalRef)

### getExternalEnd

    public int getExternalEnd()

  End position in externalReference dna.

### setExternalEnd

    public void setExternalEnd(int externalEnd)

  End position in externalReference dna.

### getExternalStrand

    public int getExternalStrand()

  Strand in externalReference dna.

### setExternalStrand

    public void setExternalStrand(int externalStrand)

  Strand in externalReference dna.

### getExternalStart

    public int getExternalStart()

  Start in externalReference dna.

### setExternalStart

    public void setExternalStart(int externalStart)

  Start in externalReference dna.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD